package org.example.mybatisplus.model.auto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;


/**
 * 企业财税合规风险信息表对象 cms_ent_risk_financial_tax
 *
 * @author 各类开发联系微信：qiubbstop     fuce
 * @date 2025-03-09 23:36:24
 */
@TableName("cms_ent_risk_financial_tax")
public class CmsEntRiskFinancialTax  {

	private static final long serialVersionUID = 1L;

	/** 主键 */
	@TableId(type = IdType.ASSIGN_ID)
	@JsonSerialize(using = ToStringSerializer.class)
	@ApiModelProperty(value = "主键")
	private Long taxId;

	/** 企业风险表ID(cms_ent_risk_info表) */
	@ApiModelProperty(value = "企业风险表ID(cms_ent_risk_info表)")
	private Long entRiskInfoId;

	/** 企业名称 */
	@ApiModelProperty(value = "企业名称")
	private String entName;

	/** 三合一码 */
	@ApiModelProperty(value = "三合一码")
	private String regCode;

	/** 开票地址雷同 */
	@ApiModelProperty(value = "开票地址雷同")
	private String sameInvoiceAddress;

	/** 经营状态异常 */
	@ApiModelProperty(value = "经营状态异常")
	private String abnormalBusiness;

	/** 与同一工业往来税票（13%和6%） */
	@ApiModelProperty(value = "与同一工业往来税票（13%和6%）")
	private String invoiceWithSameIndustry;

	/** 只向一家企业开票 */
	@ApiModelProperty(value = "只向一家企业开票")
	private String invoiceWithSameEnt;

	/** 人数少于3且年开票金额大于200万 */
	@ApiModelProperty(value = "人数少于3且年开票金额大于200万")
	private String lessPeopleHignInvoice;

	/** 欠税信息 */
	@ApiModelProperty(value = "欠税信息")
	private String taxArrears;

	/** 税务稽查 */
	@ApiModelProperty(value = "税务稽查")
	private String taxAudits;

	/** 涉税违法违章 */
	@ApiModelProperty(value = "涉税违法违章")
	private String taxViolations;

	/** 税务风险报告 */
	@ApiModelProperty(value = "税务风险报告")
	private String taxRisks;

	/** 税据分析BASIC接口数据 */
	@ApiModelProperty(value = "税据分析BASIC接口数据")
	private String taxAnalysisBasic;

	/** 负债表-年度-V2.1接口数据 */
	@ApiModelProperty(value = "负债表-年度-V2.1接口数据")
	private String balanceSheetYear;

	/** 利润表--年报-V2.1接口数据 */
	@ApiModelProperty(value = "利润表--年报-V2.1接口数据")
	private String incomeStatementYear;

	/** 删除标记 */
	@ApiModelProperty(value = "删除标记")
	private Character delFlag;

	/** 初始化标记 */
	@ApiModelProperty(value = "初始化标记")
	private Integer initFlag;
	/** 初始化时间 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	@ApiModelProperty(value = "初始化时间")
	private Date initTime;

	/** 所属租户 */
	@ApiModelProperty(value = "所属租户")
	private Long tenantId;

	/** 创建人 */
	@ApiModelProperty(value = "创建人")
	private String createdBy;

	/** 修改人 */
	@ApiModelProperty(value = "修改人")
	private String modifiedBy;
	/** 创建时间 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	@ApiModelProperty(value = "创建时间")
	private Date createdTime;
	/** 修改时间 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
	@ApiModelProperty(value = "修改时间")
	private Date modifiedTime;
	
	@JsonProperty("taxId")
	public Long getTaxId() {
		return taxId;
	}

	public void setTaxId(Long taxId) {
		this.taxId =  taxId;
	}
	@JsonProperty("entRiskInfoId")
	public Long getEntRiskInfoId() {
		return entRiskInfoId;
	}

	public void setEntRiskInfoId(Long entRiskInfoId) {
		this.entRiskInfoId =  entRiskInfoId;
	}
	@JsonProperty("entName")
	public String getEntName() {
		return entName;
	}

	public void setEntName(String entName) {
		this.entName =  entName;
	}
	@JsonProperty("regCode")
	public String getRegCode() {
		return regCode;
	}

	public void setRegCode(String regCode) {
		this.regCode =  regCode;
	}
	@JsonProperty("sameInvoiceAddress")
	public String getSameInvoiceAddress() {
		return sameInvoiceAddress;
	}

	public void setSameInvoiceAddress(String sameInvoiceAddress) {
		this.sameInvoiceAddress =  sameInvoiceAddress;
	}
	@JsonProperty("abnormalBusiness")
	public String getAbnormalBusiness() {
		return abnormalBusiness;
	}

	public void setAbnormalBusiness(String abnormalBusiness) {
		this.abnormalBusiness =  abnormalBusiness;
	}
	@JsonProperty("invoiceWithSameIndustry")
	public String getInvoiceWithSameIndustry() {
		return invoiceWithSameIndustry;
	}

	public void setInvoiceWithSameIndustry(String invoiceWithSameIndustry) {
		this.invoiceWithSameIndustry =  invoiceWithSameIndustry;
	}
	@JsonProperty("invoiceWithSameEnt")
	public String getInvoiceWithSameEnt() {
		return invoiceWithSameEnt;
	}

	public void setInvoiceWithSameEnt(String invoiceWithSameEnt) {
		this.invoiceWithSameEnt =  invoiceWithSameEnt;
	}
	@JsonProperty("lessPeopleHignInvoice")
	public String getLessPeopleHignInvoice() {
		return lessPeopleHignInvoice;
	}

	public void setLessPeopleHignInvoice(String lessPeopleHignInvoice) {
		this.lessPeopleHignInvoice =  lessPeopleHignInvoice;
	}
	@JsonProperty("taxArrears")
	public String getTaxArrears() {
		return taxArrears;
	}

	public void setTaxArrears(String taxArrears) {
		this.taxArrears =  taxArrears;
	}
	@JsonProperty("taxAudits")
	public String getTaxAudits() {
		return taxAudits;
	}

	public void setTaxAudits(String taxAudits) {
		this.taxAudits =  taxAudits;
	}
	@JsonProperty("taxViolations")
	public String getTaxViolations() {
		return taxViolations;
	}

	public void setTaxViolations(String taxViolations) {
		this.taxViolations =  taxViolations;
	}
	@JsonProperty("taxRisks")
	public String getTaxRisks() {
		return taxRisks;
	}

	public void setTaxRisks(String taxRisks) {
		this.taxRisks =  taxRisks;
	}
	@JsonProperty("taxAnalysisBasic")
	public String getTaxAnalysisBasic() {
		return taxAnalysisBasic;
	}

	public void setTaxAnalysisBasic(String taxAnalysisBasic) {
		this.taxAnalysisBasic =  taxAnalysisBasic;
	}
	@JsonProperty("balanceSheetYear")
	public String getBalanceSheetYear() {
		return balanceSheetYear;
	}

	public void setBalanceSheetYear(String balanceSheetYear) {
		this.balanceSheetYear =  balanceSheetYear;
	}
	@JsonProperty("incomeStatementYear")
	public String getIncomeStatementYear() {
		return incomeStatementYear;
	}

	public void setIncomeStatementYear(String incomeStatementYear) {
		this.incomeStatementYear =  incomeStatementYear;
	}
	@JsonProperty("delFlag")
	public Character getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(Character delFlag) {
		this.delFlag =  delFlag;
	}
	@JsonProperty("initFlag")
	public Integer getInitFlag() {
		return initFlag;
	}

	public void setInitFlag(Integer initFlag) {
		this.initFlag =  initFlag;
	}
	@JsonProperty("initTime")
	public Date getInitTime() {
		return initTime;
	}

	public void setInitTime(Date initTime) {
		this.initTime =  initTime;
	}
	@JsonProperty("tenantId")
	public Long getTenantId() {
		return tenantId;
	}

	public void setTenantId(Long tenantId) {
		this.tenantId =  tenantId;
	}
	@JsonProperty("createdBy")
	public String getCreatedBy() {
		return createdBy;
	}

	public void setCreatedBy(String createdBy) {
		this.createdBy =  createdBy;
	}
	@JsonProperty("modifiedBy")
	public String getModifiedBy() {
		return modifiedBy;
	}

	public void setModifiedBy(String modifiedBy) {
		this.modifiedBy =  modifiedBy;
	}
	@JsonProperty("createdTime")
	public Date getCreatedTime() {
		return createdTime;
	}

	public void setCreatedTime(Date createdTime) {
		this.createdTime =  createdTime;
	}
	@JsonProperty("modifiedTime")
	public Date getModifiedTime() {
		return modifiedTime;
	}

	public void setModifiedTime(Date modifiedTime) {
		this.modifiedTime =  modifiedTime;
	}

																																																
	public CmsEntRiskFinancialTax(Long taxId,Long entRiskInfoId,String entName,String regCode,String sameInvoiceAddress,String abnormalBusiness,String invoiceWithSameIndustry,String invoiceWithSameEnt,String lessPeopleHignInvoice,String taxArrears,String taxAudits,String taxViolations,String taxRisks,String taxAnalysisBasic,String balanceSheetYear,String incomeStatementYear,Character delFlag,Integer initFlag,Date initTime,Long tenantId,String createdBy,String modifiedBy,Date createdTime,Date modifiedTime) {
		this.taxId = taxId;
		this.entRiskInfoId = entRiskInfoId;
		this.entName = entName;
		this.regCode = regCode;
		this.sameInvoiceAddress = sameInvoiceAddress;
		this.abnormalBusiness = abnormalBusiness;
		this.invoiceWithSameIndustry = invoiceWithSameIndustry;
		this.invoiceWithSameEnt = invoiceWithSameEnt;
		this.lessPeopleHignInvoice = lessPeopleHignInvoice;
		this.taxArrears = taxArrears;
		this.taxAudits = taxAudits;
		this.taxViolations = taxViolations;
		this.taxRisks = taxRisks;
		this.taxAnalysisBasic = taxAnalysisBasic;
		this.balanceSheetYear = balanceSheetYear;
		this.incomeStatementYear = incomeStatementYear;
		this.delFlag = delFlag;
		this.initFlag = initFlag;
		this.initTime = initTime;
		this.tenantId = tenantId;
		this.createdBy = createdBy;
		this.modifiedBy = modifiedBy;
		this.createdTime = createdTime;
		this.modifiedTime = modifiedTime;
	}

	public CmsEntRiskFinancialTax() {
	    super();
	}

}